PKGCTL-LICENSE-SETUP(1)

BEZEICHNUNG
pkgctl-license-setup - Grundlegende REUSE-Konfiguration automatisch erkennen und einrichten

ÜBERSICHT

pkgctl license setup [OPTIONEN] [PAKETBASIS…]

BESCHREIBUNG

Dieser Unterbefehl automatisiert die Erstellung der Arch-Linux-0BSD-Paketlizenzdatei sowie einer grundlegenden reuse(1)-Konfiguration, indem einfache Heuristiken angewandt werden. Dies ist besonders praktisch, wenn die Lizenz erstmalig für ein Paket eingerichtet werden muss; das manuelle Schreiben einer REUSE.toml-Datei entfällt dadurch.

Falls .patch-Dateien erkannt werden und PKGBUILD(5) nur über einen einzigen Eintrag in dem Feld license=() verfügt, nimmt dieser Unterbefehl an, dass die Patches unter dieser Lizenz lizenziert sind und erstellt für sie Anmerkungen.

Falls es keine Patches gibt, werden keine zusätzlichen Anmerkungen erstellt.

Falls der Unterbefehl keine Konfiguration erstellen kann, die alle Dateien berücksichtigt, sind manuelle Anmerkungen notwendig. In diesem Fall wird reuse lint mit einer erklärenden Fehlermeldung mitteilen, welche Dateien in einer Anmerkung fehlen.

Falls keine PAKETBASIS festgelegt ist, ist die Vorgabe für den Befehl die Verwendung des aktuellen Arbeitsverzeichnisses.

OPTIONEN

-f, --force
    Überschreibt bestehende reuse(1)-Konfiguration.

--no-check
    Führt nach der Einrichtung pkgctl-license-check(1) nicht aus.

-h, --help
    Zeigt einen Hilfetext an.

SIEHE AUCH

pkgctl-license(1), pkgctl-license-check(1), reuse(1), PKGBUILD(5)

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.